<!-- Change the text for on/off switches -->
<!-- var txt_on = '<img src=icons/on.png>';-->
<!-- var txt_off = '<img src=icons/off.png>';-->
var txt_on = 'Aan';
var txt_off = 'Uit';
var txt_zonon = 'Uit'; <!-- Dicht -->
var txt_zonoff = 'In'; <!-- Open -->
var txt_zonstopped = 'Gestopt';
var txt_zonstop = '| |';
<!-- var txt_dim_plus = ' + '; -->
<!-- var txt_dim_min = ' - '; -->

<!-- Change the text displayed in PopUps -->
var txt_switch_protected = '\'Schakelaar is beveiligd\'';
var txt_switch_on = '\'Inschakelen\'';
var txt_switch_off = '\'Uitschakelen\'';
var txt_blind_up = '\'Zonnescherm uit\'';
var txt_blind_down = '\'Zonnescherm in\'';
var txt_blind_stop = '\'Zonnescherm stoppen\'';

<!-- Change the timeout of the PopUp -->
var switch_protected_timeout = '1500';
var switch_on_timeout = '1500';
var switch_off_timeout = '1500';
var camera_doorbell_timeout = '15400';

<!-- Value for ZWave dimmer when on-->
var idx_zdimmer = '171';
var z_dimmer = '';
var z_whichdimmer = '';
//var o_dimmer = '80'; //value 80 is for light in garden
//var o_whichdimmer = '';

<!-- Set values so colors can change -->
var temp_freeze = '0';
var temp_freeze_color = ';color:#0090ff;';
var humidity_max = '90';
var humidity_max_color = ';color:#0090ff;';
var CPUmem_max = '95';
var mem_max_color = ';color:red;';
var CPUusage_max = '50';
var cpu_max_color = ';color:red;';
var color_on = ';color:#1B9772;';
var color_off = ';color:#E24E2A;';
var show_sonos_volume = true; <!-- show Sonos volume in desc text -->

<!-- Change idx of special items -->
var idx_CPUmem = '0';
var idx_HDDmem = '28';
var idx_CPUusage = '30';
var idx_CPUtemp = '29';
var idx_ram_usage = '26';
var idx_cpu_usage = '30';
var idx_SunState = '0';
var SunStateCell = '4';
var idx_IsDonker = '0'; <!-- for day night css -->
var idx_FibaroWP = '0';
var idx_Alarm = '0';
var idx_Rainmeter = '33';
var idx_Temp1 = '46';
var idx_Temp2 = '22';
var idx_Temp3 = '36';
var idx_Temp_buiten = '46';
var idx_Tempf = '0';
var idx_Iphone5s = '25';
var idx_Telefoon_m = '25';
var idx_Voordeur = '0'; //'207';
var idx_Garagedeur = '0'; //'208';
var idx_WindRichting = '49';
var idx_WindSnelheid = '49';
var idx_BewegingF = '0';
var idx_LuxF = '0';
var idx_ZonV = '0';
var idx_ZonA = '0';
var idx_Barometer = '48';
var idx_Visibility = '4';
var idx_Usage1 = '0';
var idx_Usage2 = '0';
var idx_UsageTot1 = '0';
var idx_UsageTot2 = '0';
var idx_Pi = '0';
var idx_PC = '0';
var idx_TV = '0';
var idx_water_meter = '0';
var idx_doorbell = '0';
var idx_electricity_today = '0';
var idx_gas_today = '0';
var IsNight = 'No';
var idx_IsDarkVariable= '2';

<!-- Text for vdesc -->
var desc_alarm_off = 'Alarm uit';
var desc_alarm_home = 'Alarm aan (thuis)';
var desc_alarm_away = 'Alarm aan (weg)';
var desc_sunrise = 'Zon op';
var desc_sunset = 'Zon onder';
var desc_showsunboth = ''; // used to show sunrise and sunset in vdesc
var txt_sunboth='';
var txt_sunset='Zon onder';
var txt_sunrise='Zon op';
var var_sunrise='';
var var_sunset='';
var desc_protected = '<img src=icons/lock-closed_w.png align=right style="margin:1.5px 3px 0px -10px">'; //shows lock picture if device is protected or when plusmin is 4

<!-- This triggers the camera PopUp when the doorbell is pressed -->
<!-- Text could be 'On', 'Group On' or 'Chime' -->
var doorbell_status = 'On';
var idx_doorbell = '200'; //dummy switch which goes on when doorbell rings, goes off after 10 seconds
var doorbell_cmd = "lightbox_open('camera1', 15400);"

// ############################################################################################################
// #### vvvvv   USER VALUES below vvvvv   #######
// ############################################################################################################

$(document).ready(function() {
        $.roomplan=0;	// define roomplan in Domoticz and create items below.
        $.domoticzurl="http://192.168.0.116:8080";
		//format: idx, value, label, description, lastseen(1 when lastseen is wanted, 2 is only time), plusmin button or protected (0 for empty, 1 for buttons, 2 for volume of Sonos, 4 for protected, 5 for zwave dimmer, 6 for protected when on), [override css], [alarm value]
        $.PageArray = [
	
	['0','Desc',		'cell1',	'Buiten','0','0'], //Desc means show the sub cells
	['46','Temp',		'cell1a',	'Buiten','0','0'], //Lastseen only from cell_a possible
	['47','Humidity',	'cell1b',	'Buiten','0','0'],
	['0','Desc',		'cell2',	'Wind','0','0'],
	['49','DirectionStr','cell2a',	'Wind richting','0','0'],
	['49','Speed',		'cell2b',	'Wind snelheid','0','0'],
	['48','ForecastStr','cell3',	'Weersvoorspelling','0','0'],
	['0','Status',		'cell4',	'Zon','0','0'],
	['0','Data',		'cell4a',	'Kamer','1','0'],
	['0','Data',		'cell4b',	'Buiten','0','0'],
	['0','Desc',		'cell5',	'Verwacht | gevallen','0','0'],
	['35','Rain',		'cell5a',	'Regen','0','0'],
	['35','RainRate',	'cell5b',	'Regenhoeveelheid','0','0'],
	['25','Status',		'cell6',	'Uit/Thuis','0','0'],
	['16','Status',		'cell7',	'Eettafel lamp','0','0'],
	['0','Status',		'cell8',	'Sonos Keuken','1','2'],
	['20','Status',		'cell9',	'Aquariumlamp','0','0'],
	['21','Status',		'cell10',	'Nachtlamp aquarium','0','0'], //6 is protected when on

	['19','Status',		'cell11',	'Lamp Gang','0','0'],
	['18','Status',		'cell12',	'Lamp Woonkamer','0','0'],
	['36','SetPoint',	'cell13',	'Verwarming','0','1'],
	['171','Level',		'cell14',	'Kantoor','1','5'], //Level using for ZWave dimmer, vplusmin = 5 to start with level from z_dimmer
	//['177','Status',	'cell15',	'Tuin','1','0'],
	['22','Temp', 		'cell15', 	'Aquarium','0','0'],

	['31','Temp',		'cell16',	'Woonkamer','0','0'],
	['0','Status',		'cell17',	'Garagedeur','0','0'],
	['200','Status',	'cell18',	'Deurbel','1','4'],
	//['10','Status',	'cell18',	'iPhone 5s','1','4'],
	['71','Data',		'cell19',	'Scherm Voor','1','0'],
	['79','Data',		'cell20',	'Scherm Achter','1','0'],

	['0','Status',		'cell21',	'Zon','2','0'],
	['0','Tijd',		'cell22',	'Tijd','0','0'],
	['0','Status',		'cell23',	'Uit/Thuis','0','0'],
	
	['0','Temp',		'cell25',	'Temperatuur buiten (C)','0','0'],
	
	['0','SunBoth',		'cell26',	'Dummy cel voor bepaling zon op en zon onder','0','0'],

	['12','Status',		'cell00',	'IsDonker','0','0'],

	['0','Desc',		'cell2_1',	'Barometer + zicht','0','0'],
	['49','Barometer',	'cell2_1a',	'Barometer','1','0'],
	['0','Visibility',	'cell2_1b',	'Zicht','0','0'],
	['0','Desc',		'cell2_2',	'Windrichting','0','0'],
	['14','Data',		'cell2_2a',	'Windrichting','1','0'],
	['15','Data',		'cell2_2b',	'Windsnelheid','0','0'],
	['0','Data',		'cell2_3',	'Camera garage','0','0'],
	['0','Desc',		'cell2_5',	'UDOO CPU + HDD','0','0'],
	['30','Data',		'cell2_5a',	'CPU','0','0'],
	['29','Temp',		'cell2_5b',	'Temp','0','0'],
	['0','Desc',		'cell2_4',	'Temp + Lux F','1','0'],
	['154','Data',		'cell2_4a',	'Temperatuur Fibaro','1','0'],
	['147','Data',		'cell2_4b',	'Temperatuur Fibaro','1','0'],

	['43','Level',		'cell2_6',	'Lamp slaapkamer','1','1'],
	['0','Status',		'cell2_7',	'Slaapkamer kast','1','0'],
	//['145','Data',		'cell2_8',	'Bewegingssensor F','1','4'],
	['216','Data',		'cell2_8',	'PC','1','6'],
	['9','Status',		'cell2_9',	'Led gang','1','0'],
	['26','Data',		'cell2_10',	'UDOO Memory','0','0'],

	['0','Status',		'cell2_11',	'Lamp TV','1','0'],
	['0','Status',		'cell2_12',	'Lamp vensterbank','1','0'],
	['34','Status',		'cell2_13',	'Garage','1','0'],
	['214','Status',	'cell2_14',	'Telefoon G','1','4'],
	['185','Status',	'cell2_15',	'Telefoon M','1','4'],

	['140','Data',		'cell2_16',	'Droger - huidig','1','0'],
	['139','Status',	'cell2_17',	'Droger','1','0'],
	['218','Status',	'cell2_18',	'Raspberry Pi','1','4'],
	['141','Status',	'cell2_19',	'IJskast','1','0'],
	['142','Data',		'cell2_20',	'IJskast - huidig','1','0'],

	['182','Data',		'cell2_21',	'Droger - totaal','1','0'], //CounterToday, Usage
	['0','Tijd',		'cell2_22',	'Tijd','0','0'],
	['0','Data',		'cell2_23',	'IJskast - totaal','1','0'],
	['0','ForecastStr','cell2_25',	'Weersvoorspelling (FC)','0','0'],
	];
	$.PageArray_Scenes = [
	
	['5','Status',		'cell9',	'Lampen kamer','1','0'],
	//['7','Status',		'cell13',	'Lamp achtertuin','1','0'],

	];

// ############################################################################################################
// #### ^^^^^   USER VALUES above ^^^^^   #######
// ############################################################################################################

RefreshData();
});


